/*
 * @Company: 沈阳信诚科技
 * @Email: html_venustar@163.com
 * @Author: Liuqiming
 * @Description: 铸坯报告 + 铸坯报告详情
 * @LastEditors: Liuqiming
 * @LastEditTime: 2024-03-18 14:47:00
 * @Date: 2024-03-18 14:45:21
 */
import request from "@/utils/request";
//浇铸计划列表
export function reportList(params) {
  return request({
    url: "/business/report/list",
    method: "get",
    params
  });
}
//铸坯报告头部信息
export function getCastingReportById(id) {
  return request({
    url: `/business/report/${id}`,
    method: "get",
  });
}
//不同时间占比
export function getProportion(data) {
  return request({
    url: `/business/report/getProportion`,
    method: "post",
    data
  });
}
//查询检验实绩列表
export function getBqsSmprlst(data) {
  return request({
    url: `/business/report/getBqsSmprlst`,
    method: "post",
    data
  });
}
//查询工艺参数配置列表
export function configQueryList() {
  return request({
    url: `/tech/config/queryList`,
    method: "post",
  });
}
//工艺参数折线图
export function processParametersLineChart(data) {
  return request({
    url: `/business/report/getProcessParameters`,
    method: "post",
    data
  });
}
// 精炼出钢实绩
export function getBoeLftapping(data) {
  return request({
    url: `/business/report/getBoeLftapping`,
    method: "post",
    data
  });
}
//发布
export function update(data) {
  return request({
    url: `/business/report/update`,
    method: "post",
    data
  });
}
// 浇铸事件
export function getReportEvent(data) {
  return request({
    url: `/business/report/getReportEvents`,
    method: "post",
    data
  });
}
