import request from '@/utils/request'
// 班次表单列表查询
export function queryTeamList() {
    return request({
      url: '/sf/shift/queryTeamList',
      method: 'post',
    })
  }
// 新增班次操作
export function shiftAdd(data) {
    return request({
      url: '/sf/shift/add',
      method: 'post',
      data,
    })
  }
// 删除班次操作
export function shiftDelete(id) {
    return request({
      url: `/sf/shift/${id}`,
      method: 'get',
    })
  }
// 编辑班次操作
export function shiftUpdate(data) {
    return request({
      url: `/sf/shift/update`,
      method: 'post',
      data
    })
  }