/*
 * @Company: 沈阳信诚科技
 * @Email: html_venustar@163.com
 * @Author: Liuqiming
 * @Description: 去除谷歌浏览器的scroll、wheel等事件警告
 * @LastEditors: Liuqiming
 * @LastEditTime: 2024-03-07 11:16:39
 * @Date: 2024-02-05 17:29:59
 */
(function () {
  if (typeof EventTarget !== "undefined") {
      let func = EventTarget.prototype.addEventListener;
      EventTarget.prototype.addEventListener = function (type, fn, capture) {
          this.func = func;
          if (typeof capture !== "boolean") {
              capture = capture || {};
              capture.passive = false;
          }
          this.func(type, fn, capture);
      };
  }
}())